#pragma once

#include "ComponentEditor.hpp"

struct ExteriorGenerationComponent;

class ExteriorGenerationEditor : public ComponentEditor<ExteriorGenerationComponent> {
public:
    bool renderComponent(flecs::entity entity, ExteriorGenerationComponent& exterior) override;
    const char* getName() const override { return "Exterior Generation"; }
};
